Ubuntu

Intermittent white window contents when maximizing/switching windows

Reported by Richard Senior on 2011-04-06
This bug report is a duplicate of:  Bug #729979: [nvidia] Windows appear blank white. Edit Remove
350
This bug affects 73 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers (openSUSE)
New
Undecided
Unassigned

Bug Description

Binary package hint: compiz

Fresh install of Natty Beta. Nvidia graphics card with proprietary driver.

Not all the time, but maximizing windows sometimes results in a white window. Sometimes switching between windows (not necessarily maximised) does the same. The window borders are there but the body of the window is white. Resizing the window smaller sometimes makes it redraw. Minimizing other applications sometimes makes it redraw. The white window is most often the focussed window, but sometimes windows behind the focussed window go white too.

Once an application has gone white, this seems to encourage other windows to do the same. Minimizing all windows, reactivating the required window and perhaps resizing will bring the window contents back.

I don't think this is restricted to specific applications. I've been able to duplicate the problem with Firefox, Thunderbird, Nautilus, Synaptic, Terminal, Geany, Nvidia Settings and others.

It's not Unity. If I switch to Classic I get the same problem, although perhaps with slightly less frequency. Switch to Classic with no effects and the problem goes away. So I suspect a combination of Compiz and the Nvidia driver that comes with Natty.

See also http://ubuntuforums.org/showthread.php?t=1721206

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: compiz 1:0.9.4git20110322-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.30 Fri Feb 25 14:34:55 PST 2011
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu1)
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,session,grid,regex,imgpng,resize,snap,animation,staticswitcher,workarounds,mousepoll,gnomecompat,move,vpswitch,expo,wall,fade,scale,unityshell]
CompositorRunning: compiz
Date: Wed Apr 6 12:55:10 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus: nvidia-current, 270.30, 2.6.38-7-generic, x86_64: installed
GraphicsCard:
 nVidia Corporation C61 [GeForce 6150SE nForce 430] [10de:03d0] (rev a2) (prog-if 00 [VGA controller])
   Subsystem: Elitegroup Computer Systems Device [1019:2602]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
InstallationMedia_: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
JockeyStatus: xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
Lsusb:
 Bus 002 Device 003: ID 04fc:0005 Sunplus Technology Co., Ltd USB OpticalWheel Mouse
 Bus 002 Device 002: ID 04b8:0005 Seiko Epson Corp. Printer
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ECS GeForce6100PM-M2
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=4ebbc4c8-22d1-4b77-bbc5-3138055ccac1 ro quiet splash vt.handoff=7
ProcVersionSignature_: Ubuntu 2.6.38-7.39-generic 2.6.38
Renderer: Unknown
SourcePackage: compiz
UpgradeStatus: No upgrade log present (probably fresh install)
XorgConf:
 Section "Device"
  Identifier "Default Device"
  Option "NoLogo" "True"
 EndSection
dmi.bios.date: 10/09/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 080015
dmi.board.name: GeForce6100PM-M2
dmi.board.vendor: ECS
dmi.board.version: 7.0
dmi.chassis.type: 3
dmi.chassis.vendor: ECS
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr080015:bd10/09/2009:svnECS:pnGeForce6100PM-M2:pvr7.0:rvnECS:rnGeForce6100PM-M2:rvr7.0:cvnECS:ct3:cvr:
dmi.product.name: GeForce6100PM-M2
dmi.product.version: 7.0
dmi.sys.vendor: ECS
version.compiz: compiz 1:0.9.4git20110322-0ubuntu5
version.ia32-libs: ia32-libs 20090808ubuntu11
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

Richard Senior (r-senior) wrote :
Richard Senior (r-senior) wrote :
description: updated
James Adney (jfadney) wrote :

I have the same problem on Natty. Consistently if I have more a couple of windows open at a time, one or more will turn white. Sometimes it's the active window, sometimes an inactive one.

My wireless card is: nVidia Corporation C67 [GeForce 7150M / nForce 630M] (rev a2)

I also had this problem on maverick when I upgraded to the nvidia driver from ubuntu-x-swat/x-updates. In maverick I was using the Ubuntu repo version of compiz.

Édgar Alfonso (edgar-alfonso) wrote :

I have the same problem: every two or three window switches, the new active window turns white. Switching again does not solve the problem. I also use the Nvidia driver.

jrcsdev (jrcsdev) wrote :

I have the same problem too... I also use the nvidia driver like Edgar Alfonso. I'm using Ubuntu 11.04 Beta... Any solution?

I don't know if related, but it seems (apologies else) when I put e.g megavideo screen fullscren, I see during a very brief moment (less than a second) the screen covered on white and later megavideo normaly at fullscreen.

Natty beta1 upgraded from 10.10, x64 machine, nvidia 9600GT with propietary drivers, Unitiy 3D, last safe-upgrade yesterday

Richard Senior (r-senior) wrote :

Since the last couple of days' updates, this has got worse. The white screen problem is still there, but now sometimes maximizing a window will cause the desktop to hang completely and a reboot is required. With one window on the screen at a time, it seems OK, but as soon as I have multiple windows open it becomes unusable.

I've had to switch to Unity 2D on this desktop machine pending a fix or workaround. My laptop has been running Natty Alpha through Beta with an Intel graphics card and has been fine.

jrcsdev (jrcsdev) wrote :

@Richard Senior that's correct! sometimes the desktop is white fully... (sorry, my english is bad... I'm trying...) ... So... reboot not is required... Follow the steps is you are using ubuntu/debian:

1. Press CTRL + F1, then enter your user linux and password.
2. In the bash, type: sudo /etc/init.d/gdm restart (if you are using Gnome)
3. Enter your password user.

Richard Senior (r-senior) wrote :

I don't know why I never thought of doing this before but I just tried the open-source Nvidia driver and no white window problem. So it would appear to be a problem with the driver, rather than Compiz.

Richard Senior (r-senior) wrote :

Switched to nvidia-current

affects: compiz (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Édgar Alfonso (edgar-alfonso) wrote :

I also use nvidia-current and the problem persists.

Bryce Harrington (bryce) wrote :

Do you have ia32-libs installed? If so, try temporarily uninstalling it and see if the issue can still be reproduced. If not, I might suspect a conflict between nvidia's glx and the mesa snapshot glx within ia32-libs.

Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Incomplete
Édgar Alfonso (edgar-alfonso) wrote :

No, I don't.

jrcsdev (jrcsdev) wrote :

the problem occurs when more than 3 windows open... that's my situation. And apparently it also happens to other. someone has solved? honestly this is very problematic

Vineeth Rakesh (vineethrakesh) wrote :

Thats true when 3 or more windows are open the entire window becomes white. This must a serious bug since there are many pcs that run on nvidia gpu.

I have the same problem here.
Sometimes windows turn white without maximizing.
Then I use a workaround if it happened with important windows.

Just decrease the size of the affected window. If the size gets small enough the window's content will appear again.

alfred kent (alfw-kent) wrote :

The problem I have is as follows
I can only have one app maximized if I try to maximize another app it goes full screen but window is white.

 I have to minimize window and resize until I get window fully drawn.

 This happens even if I use different workspaces.

Apps open to white screen randomly.

This happens if I use nvidea drivers or nouveau drivers

I switched to classic w/o effects everything o`k

Unity 2d has same problem

alfred kent (alfw-kent) wrote :

Correction to my previous post the problem goes away when using Nouveau driver so as stated in other post problem seems to be nvidia driver.

Ernesto Menéndez (pyalec) wrote :

As a workaroud, the experimental 3D support in the free driver is working great in my machine.

Jean-luc Henry (jlhenry) wrote :

I had ia32-libs, and after uninstalling it, but is still here.

I have pretty much the same problem, except my windows turn black. It effects both compiz and mutter, which makes both Unity and Gnome 3 unusable.

Jean-luc Henry (jlhenry) wrote :

It's may be inapropriate to write this here, but I do not understand why:
- This bug status is "Incomplete", and not "Confirmed" (there is 18 people saying they are affected, and two duplicated bugs...)
- Its Importance is "Undecided" despite the fact that its even impossible to open "Control center" (too big so it's white, and can't resize).
- Also, "This bug report will be marked for expiration in 58 days if no further activity occurs" But there is activity, people are reporting/commenting this bug.

Any idea why? I know we are in Beta 2 (old name for RC), but I'm worried because final release is in less than 10 days, and nothing seems to change on this (major) issue.

Thanks,
Jean-Luc

zeruke (oninekoze) wrote :

going to confirm it because whats shown....and for some reason mine was put as a duplicate even though this only occurs(contents of a window turning white when resized to a random amount) for me when i have compiz running and using a second screen at the same time.... this stopped happening after some updates but then after a few more it started happening again as what i shown on my original bug report https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/739103

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Confirmed
pt123 (pt123) wrote :

This occurs on all the time on the windows and I am using a single screen (1920x1280) .

It seems like something is not being flushed out, because when you open non UI intensive application it is fine. But then when you open another non UI intensive application the new window is white.

Opening UI intensive applications like Firefox the Window is always white.

using nvidia GeForce 7025 / nForce 630a

Mine is a GeForce 6100 and my windows are now white now too. I'm not sure when they stopped being black as I had not tested it in awhile. I'm not sure exactly when this bug kicked in, but I know it's been around for at least a couple months.

Without composition the gnome panel tears every once awhile. Not sure if it has to do with whatever breaks composition though.

And ya, Firefox activates it, along with Thunderbird and Openoffice. It very well may be the return of the dreaded "black window bug" that has plagued Nvidia users for quite some time.

Mine is nvidia GeForce 7025 / nForce 630a.

The problem is exactly same. For Eg: You open firefox , nautilus, Libreoffice in fullscreen. First two of them are fine and the third, Libreoffice window goes white. Try to shuffle them in order the third maximised window will be white.

But for flash videoes like youtube the first attempt to 'FULLSCREEN' makes them white.

It's just not natty, I upgraded maverick's compiz to latest version with compiz ppa and even that shows similar problem.

May be the latest NVIDIA-CURRENT (270.41.06) drivers conflict with latest COMPIZ (0.9.4+bzr20110415).
Problem should be sorted as soon as possible, when we are so close to release.

Hey, looks like NVIDIA 173 verion works well.

prettl (prettl-zsolt) wrote :

Yes, 173 version isn't affected with this white windows bug but it has a big issue about the waking up from suspend (at least in my case: nvidia GeForce 6200Go in a laptop so I often use suspend).
If I wanna use unity I have to use Nouevau Gallium 3D driver which is working good but approx. 5 times slower.

I hope there will be a fix that at least one driver will be usable.

Édgar Alfonso (edgar-alfonso) wrote :

So far, 173 version seems to have solved the white windows problem on my computer.

prettl (prettl-zsolt) wrote :

And how does the suspend work with it for you?

Édgar Alfonso (edgar-alfonso) wrote :

@prettl You are right. The white windows are gone, but the whole screen turns yellow when waking up from suspension. The good thing is that at least I can recover my session by typing my password and pressing the Enter button, even when I cannot see anything on the screen while doing so.

prettl (prettl-zsolt) wrote :

This means your computer locks the screen before it goes to suspend. I disabled this function so in my case the background goes color stripped and I have to restart compiz which sometimes freezes. You gave my a good idea, I'm gonna try the suspend with screen close function, I think it is temporary bearable if just the locking screen goes yellow.

Bapf (bugs-ubuntu-bapf) wrote :

I recently updated my work machine and having the same issues now. (NVidia GeForce 6150 LE)

Bryce Harrington (bryce) wrote :

DBO on IRC thought they had an instance of this bug, but turned out in their case to be caused by overlay-scrollbar, which appears to be resulting in a lot of bugs with similar symptoms (white screens, application-specificness, goes away after uninstalling overlay-scrollbar). See bug #770304 as an example.

Bryce Harrington (bryce) wrote :

(I suspect the original report predates overlay-scrollbar though. But don't really have any ideas on diagnosing it.)

OwenL (owen-luke) wrote :

I had the same problem and found moving to Unity-2D stops this happening, but then you lose several area of functionality.

Juan Carlos I (juancarlos1) wrote :

I can confirm this bug, it seems that nvidia is boikoting ubuntu ;) as 11.04 is pretty unusable with its drivers
It existed with the latests nvidia drivers from xorg ppa in 10.10
However using the older driver avaliable (173) in 11.04 also gives a nasty bug as you can see in the following screen capture
Any solution to this?

jrcsdev (jrcsdev) wrote :

I have ubuntu 11.04 with nvidia driver 270.41.06.... Still I have the same problem with white windows ... I can only work with 3 windows. Not anymore.

Joaquin M (joacomag) wrote :

Switched to 173 version, and works well now.

Sam Swift (samswift) wrote :

I also experienced the problem using Nvidia (current), but everything works fine using version 173

ndasusers (dgates) wrote :

Hi.

It happened to me too now after upgrading.

Please post instruction how to down grade nvidia to 173.

I was fine with previous ubuntu kernel 2.6.35, now on 2.6.38 it is a mess with the white screens.

ndasusers (dgates) wrote :

Rats.

I loaded synaptic and chose to remove nvidia 270 and install 173 and had all kinds of problems.

When I rebooted, the loging screen was only one thin line of display at the top of the monitor and all the rest was black.

I could reboot with default display from the recovery mode, and used the additional driver tool to go back to nvidia-current and the blank windows are back. If I open the firefox windows the third one is blank.

ndasusers (dgates) wrote :

I found a workaround for me!

I log out, then choose my login and down below I select "Classic (No effects)" and now all windows seem to work with no blank screens.

5 or six firefox windows are ok.

and resizing the text editors is working.

I will still appreciate any advice, but I will be fine to operate like this for now. I don't like the Ubuntu login tool bar on the left anyway.

Why can we move that think to the bottom like every other window manager?

wyretrip (wyretrip) wrote :

Reverting to 170 is not an option for me as the Nvidia kernel module will not load since the Natty upgrade to kernel 2.6.38.8.

I have to run Nvidia 270.41.06 provided directly from Nvidia just to get X to load and arrive at a desktop.

Like others, resizing the window (smaller) does help to get the affected windows to refresh.

zeruke (oninekoze) wrote :

still hapening to me and still the same as the bug report i did https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/739103 running nvidia-current and only happens on a secondary screen connected via VGA has to be maximized to a cernt extent and have compiz running....if compiz is not running the problem never occurs

screenshot.png is when useing unity (which uses compiz)
screenshot-1.png is when useing unity2D (which does not use compiz

zeruke (oninekoze) wrote :
fernandotgo (fcaceres) wrote :

I have the same issue, blank screen, resizing the window seems to refresh and works.

I'm using driver 270.41.06 with Quadro NVS 285.

When using GDM without effects, works fine.

I upgraded manually from 173 and still the same issue.

Please help

zeruke (oninekoze) wrote :

another problem.... when locking screen with two screens one side is usually all white and sometimes it makes both white were you cant see the login prompt

Geoffrey Pursell (geoffp) wrote :

I have two Natty computers now, both with Nvdia 7-series cards, that are completely unusable because of this bug. Whenever the screensaver kicks in, the screen turns completely white and you have to ssh in and kill the screensaver.

Cristian Arezzini (macavity80) wrote :

I have the same problem. It wasn't there shortly after 11.04 release, but it's there now. For me too, after 2-3 windows are open, one gets all white. Resizing it below a certain size makes it reappear.

Nagappan Alagappan (nagappan) wrote :

In my opinion its not the issue of Ubuntu, I see the same issue with openSUSE 11.4 + Tumbleweed + GNOME3 + NVidia driver downloaded from their website. This could be kernel and/or NVidia driver bug.

Any one in this bug, can you please suggest me steps to downgrade to older NVidia version ? Thanks

Stephan Trebels (ncubede) wrote :

It became a lot better when I changed two things in ccsm:
1. Disable Extras / Window Previews
2. select "Force synchronization between GL and GLX" in Utility / Workarounds.

There still are screen redraw issues, but - for me - no longer in the window content, now the task bar is black,
but that may be a compiz reconfigure bug. As long as I can now use all my emacs windows and resize them,
I'll be willing to wait for a real fix.

Stephan Trebels (ncubede) wrote :

Sadly I have to take this back. I have since stressed the settings more and the immediate results are not persistent, sadly.
Essentially there are still cases, where emacs does not redraw properly. Pity!

wyretrip (wyretrip) wrote :

I wanted to update my situation from what I stated in #44.

A complete reinstall of 11.04 from scratch fixed the problem for me.

On the same machine, I am running kernel 2.6.38-8 with NVidia 173 version of the drivers.

The system boots into X now and I can open as many windows as I like without running into the rendering issue.

With two computers running Natty (one clean install one upgrade from alpha) both experience the issue with multiple monitors. Haven't experienced it with a single monitor connected. When running Eclipse and another java program (Sun/Oracle Secure Global Desktop) this bug goes into overdrive. With every program opened it only displays the titlebar and a white window (nautilus, firefox, terminal) and when the window size is below a certain threshold it displays the it correct again.

Camilo Nova (camilo-nova) wrote :

This is so sad that a lot of people have this problem and seems no one cares about fixing it

Download full text (5.6 KiB)

I made a new install without upgrading drivers and I don't have the
issue... That worked for me

On 7/23/11, Camilo Nova <email address hidden> wrote:
> This is so sad that a lot of people have this problem and seems no one
> cares about fixing it
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/752445
>
> Title:
> Intermittent white window contents when maximizing/switching windows
>
> Status in “nvidia-graphics-drivers” package in Ubuntu:
> Confirmed
> Status in “nvidia-graphics-drivers” package in openSUSE:
> New
>
> Bug description:
> Binary package hint: compiz
>
> Fresh install of Natty Beta. Nvidia graphics card with proprietary
> driver.
>
> Not all the time, but maximizing windows sometimes results in a white
> window. Sometimes switching between windows (not necessarily
> maximised) does the same. The window borders are there but the body of
> the window is white. Resizing the window smaller sometimes makes it
> redraw. Minimizing other applications sometimes makes it redraw. The
> white window is most often the focussed window, but sometimes windows
> behind the focussed window go white too.
>
> Once an application has gone white, this seems to encourage other
> windows to do the same. Minimizing all windows, reactivating the
> required window and perhaps resizing will bring the window contents
> back.
>
> I don't think this is restricted to specific applications. I've been
> able to duplicate the problem with Firefox, Thunderbird, Nautilus,
> Synaptic, Terminal, Geany, Nvidia Settings and others.
>
> It's not Unity. If I switch to Classic I get the same problem,
> although perhaps with slightly less frequency. Switch to Classic with
> no effects and the problem goes away. So I suspect a combination of
> Compiz and the Nvidia driver that comes with Natty.
>
> See also http://ubuntuforums.org/showthread.php?t=1721206
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: compiz 1:0.9.4git20110322-0ubuntu5
> ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
> Uname: Linux 2.6.38-7-generic x86_64
> NonfreeKernelModules: nvidia
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory:
> '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 270.30 Fri Feb 25
> 14:34:55 PST 2011
> GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-8ubuntu1)
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,decor,session,grid,regex,imgpng,resize,snap,animation,staticswitcher,workarounds,mousepoll,gnomecompat,move,vpswitch,expo,wall,fade,scale,unityshell]
> CompositorRunning: compiz
> Date: Wed Apr 6 12:55:10 2011
> DistUpgraded: Fresh install
> DistroCodename: natty
> DistroVariant: ubuntu
> DkmsStatus: nvidia-current, 270.30, 2.6.38-7-generic, x86_64: installed
> GraphicsCard:
> nVidia Corporation C61 [GeForce 6150SE nForce 430] [10de:03d0] (rev a2)
> (prog-if 00 [VGA controller])
> Subsystem: Elitegroup Comput...

Read more...

Mephisto (ferrylandzaat) wrote :

I just upgraded my laptop today and ran into this issue. I also found a thread on the gentoo forums where downgrading to 260 drivers fixed the problem, so I suspect the culprit is the 270+ nvidia driver.

On my desktop running Fedora 15, I'm also running compiz 0.9.4, on gnome 3 in classic mode, and have not seen this issue. There I'm using 280 nvidia drivers, cause 270/275 were giving me issues with screen corruption on the desktop (lines below the panels/windows, incorrectly drawn shadows, etc). Maybe upgrading to 280 series might fix this problem. Anyone care to try? ;)

It might be hardware dependent as well. My laptop has a Geforce Go 6200 (NV43) and the desktop has a Geforce 9500 GT (G96). In a few others posts I read reports on 6-series hardware.

Can anyone confirm whether 173 works or doesn’t work on the current kernel and x server for 6-series hardware?

Nagappan Alagappan (nagappan) wrote :

After your comment, I tried 280.13, still I'm facing the same issue

warjowuch (lulkoek) wrote :

I have filed a bug report at the nvidia-site, giving them a link to both this thread and this one:
https://bugs.launchpad.net/unity/+bug/753144
I hope they will sort things out...

(I've posted this comment on both reports so all of you know...)

warjowuch (lulkoek) wrote :

I have received this comment from Nvidia:
------------
Your issue was just referred to me.

Can you please try our most recent driver and let me know if the problem still exists? It is version 280.13 available here for Linux x32: http://www.nvidia.com/object/linux-display-ia32-280.13-driver.html

If the problem persists, please generate and attach a bugreport which gives us more information. You can generate one by 'sh nvidia-bug-report.sh'

Let me know if any more questions.

Best regards,
Mike

NVIDIA Customer Care

Nagappan Alagappan (nagappan) wrote :

I'm using 280.13 (x86_64) more than a month and still seeing the issue. Thanks

Nagappan Alagappan (nagappan) wrote :

Attached nvidia-bug-report.sh log

njaal (njaal) wrote :

Problems disappeared for me after uninstalling nvidia and nouveau packages and installing 280.13 (x86_64). No issues since, running without any other modifications to the configuration (running on unity).

Nagappan Alagappan (nagappan) wrote :

I have uninstalled nvidia package, but not nouveau package, let me try that

Nagappan Alagappan (nagappan) wrote :

Even after removing nouveau package, I still see the issue

warjowuch (lulkoek) wrote :

I have sent your results to the nvidia-site. Their reply was as follows:
--------
Thanks for the additional information.

This issue has been reported to Engineering and is being investigated.

Please check future drivers for a fix for this issue.
----------------

I have sent them an email asking them to inform me/the public when this issue should've been resolved. So, who knows! I'll keep you guys informed!

Bryce Harrington (bryce) wrote :

Hey r-senior,

You filed this bug report against natty, but I see it's still open and
doesn't appear to have much activity recently. So, now that oneiric
is released and stable, this may be a good point for you to upgrade
and re-test if this issue is still present there.

If it's solved in the new release and you think it's worth backporting
the fix, please indicate that. Or if having the fix in the new release
is good enough, feel free to close out the bug (or let us know and we'll
close it.)

If it's not solved, leave the bug report open. I can't promise we'll
get to it (we get way more bugs filed than we can usually get to), but
your testing and feedback can help out if and when we do.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Incomplete
Justin (deadite81) wrote :

This bug still exists. Ubuntu 11.10 with Unity is 100% unusable on my computer with the latest Nvidia driver and the 6150SE nForce 430. GNOME Shell and KDE work fine, all effects enabled.

Me too, unity 3d is almost unusable with newest 270, 280, 290... nvidia drivers with this card, you have to use older drivers 170 and they eat all my CPU. I went back to 10.04 frustrated and with no effects at all :-P

Justin <email address hidden> escribiu:

This bug still exists. Ubuntu 11.10 with Unity is 100% unusable on my
computer with the latest Nvidia driver and the 6150SE nForce 430. GNOME
Shell and KDE work fine, all effects enabled.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/752445

Title:
Intermittent white window contents when maximizing/switching windows

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/752445/+subscriptions

warjowuch (lulkoek) wrote :

He people,
I just saw a driver update for nvidia linux driver (290.10) which says in the releasenotes:

- Fixed a regression that caused blank/white windows when exhausting video memory on GeForce 6 and 7 series GPUs while using composited desktops.

I will try it as soon as it hits the repos... Anyone else tried it allready?

glennric (glennric) wrote :

I have this problem with the gnome classic session using compiz. I found this bug, and saw warjowuch's comment. I then found that the 290.10 drivers are available in the ubuntu-x-swat ppa (ppa:ubuntu-x-swat/x-updates). After installing those drivers the white windows have stopped occurring.

Richard Senior (r-senior) wrote :

Just got round to upgrading to Oneiric and can confirm that the problem still exists with the latest driver. Reverted back to 173 for the time being.

If anyone gets the white window when trying to revert, type in your password and guess where the right-hand dialog button is. ;)

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Confirmed
Sven Romeike (lun4tic) wrote :

I still have this problem on 12.04 beta with nvidia drivers 295.33

The problem persists on 12.04 release and updated at May first 2012. With Nvidia 295.40.

Leo (leopoldo-pena) wrote :

Problem persists in 12.04 as of May 22nd with Nvidia drivers. Reported this bug in several threads but seems to be consistently ignored.

As of now, this is the most annoying 'bug' in 12.04 BY FAR!!!

Alex Gierus (alex-gierus) wrote :

I have the same bug in 12.04. Isn't nvidia one of the most popular video card and ubuntu the most popular linux? There should be some urgency to fixing this as it makes the desktop unusable.

Thanks.

The problem persist with the new 302.11 driver from "xorg-edgers" ppa unfortunately.

eZFlow (breakdevize) wrote :

Has this been submitted in the nvidia linux forum? The bug is old and nothing is done about it.. sad.

Amos (a-storkey) wrote :

As, still, no one seems to be doing anything about this (including me - it is beyond my expertise), is there anyone who can reliably find a way to bypass it. This sort of problem has been a regular show with Compiz+Nvidia, and seems to rear its head in a number of guises. There was a very similar old bug about 5 years ago, the Nvidia Compiz “Black Window Bug” which was fixed back in Feisty using an indirect rendering, but that slowed things down. Maybe the old problem is back? I don't know. But it is painful and it is a serious problem. And it is a Compiz problem, not really an nvidia one.

Walter Ribeiro (wribeirojr) wrote :

This issue seems to be solved for me.
Ubuntu 13.04
nvidia-304-updates

To post a comment you must log in.